body {
  padding-top: 50px;

  &.purple-bg {
    background-color: $color-primary;
    color: $color-white;

    a {
      color: inherit;
    }
  }
}

a:focus,
a:active {
  text-decoration: none;
}

h1,
h3,
h4,
h5,
button,
a {
  font-weight: 400;
}

a > code {
  color: $link-code-color;
}

.map {
  height: 350px;
  width: 100%;
}

.light {
  font-weight: 300;
}

.medium {
  font-weight: 400;
}

.green {
  color: $color-green;
}

img {
  max-width: 100%;

  &.shadow {
    box-shadow: 0 4px 18px 0 rgba($color-dark, .1), 0 6px 20px 0 rgba($color-dark, .09);
    margin-bottom: 20px;
    margin-top: 20px;
  }
}

//scss-lint:disable all
iframe[name='google_conversion_frame'] {
  height: 0 !important;
  width: 0 !important;
  line-height: 0 !important;
  font-size: 0 !important;
  margin-top: -13px;
  float: left;
}
//scss-lint:enable all

.animated,
.animated a {
  transition: all .2s linear;
}

.terms {
  padding-top: 50px;
  padding-bottom: 30px;
}

.newsletter-form {
  width: 206px;
  margin-left: auto;
  margin-right: auto;
}

.mc-field-group {
  padding-bottom: 5px;
}

.link-box {
  color: $link-box-color;
  border: 2px solid $link-box-border-color;
  padding: 17px;
  text-align: justify;
  border-radius: 3px;
  background: $color-white;
  margin-top: 25px;
  transition: all .2s;

  &:hover {
    background: $link-box-hover-bg;
  }

  h3 {
    font-weight: 600;
    margin-top: 0;
  }
}

.dark-background-link {
  color: $color-white;
  text-decoration: underline;
  font-size: 18px;
  transition-duration: .2s;

  &:hover,
  &:visited {
    color: $color-secondary-alt;
  }
}

.white-background-link {
  color: $color-primary-alt;
  text-decoration: underline;
  font-size: 18px;
  transition-duration: .2s;

  &:hover,
  &:visited {
    color: $color-secondary;
  }
}

.panel-purple {
  border-color: $color-primary;

  > .panel-heading {
    color: $color-white;
    background-color: $color-primary;
    border-color: $color-primary;
  }
}

.source-link {
  position: relative;
  padding: 6px 15px 8px;
  color: $color-white;
  font-size: 15px;
  background: $color-primary;
  z-index: 9;

  .external-source-link {
    color: $color-white;
    border-bottom: 1px solid $color-white;

    &:hover {
      border-bottom-color: transparent;
      text-decoration: none;
    }
  }
}

.md-page {
  background: $color-white;
  padding: 25px;
  margin-top: 33px;
  box-shadow: 0 3px 3px rgba($color-dark, .1);
  max-width: 900px;
}

iframe {
  display: block;
  margin-left: auto;
  margin-right: auto;
  max-width: 100%;
}

.signature-block {
  width: 49%;
  display: inline-block;
  padding: 15px;
}

.fixed-sidenav {
  &.affix {
    top: 55px;
  }
}

.team {
  margin: 0;
  padding: 0;
  list-style: none;

  > li {
    display: inline-block;
  }
}

.install-gitlab-btn {
  white-space: normal;
}

.org-structure {
  font-size: 16px;

  li ul {
    margin-left: 20px;
  }

  ul {
    padding-left: 0;
    list-style: none;
  }
}

.page-container {
  position: relative;
  padding-top: 30px;
  padding-bottom: 30px;
  overflow: hidden;

  @media (min-width: 768px) {
    padding-top: 35px;
    padding-bottom: 80px;
  }

  @media (min-width: 1200px) {
    padding-bottom: 120px;
  }

  &.landing-container {
    > .container {
      position: relative;
      z-index: 9;
    }

    .landing-hero {
      margin: 10px 0 50px;

      path {
        fill: $color-secondary;
      }
    }

    .page-headline {
      margin-bottom: 0;
    }

    .page-subtitle {
      font-size: 28px;

      @media (max-width: $screen-xs-max) {
        font-size: 24px;
      }
    }

    h2 {
      color: $blueish-gray;
      font-weight: 300;
      margin-top: 10px;
    }

    @media (min-width: 1200px) {
      padding-bottom: 70px;
    }
  }
}

.featured-item {
  padding: 20px;
  margin-bottom: 15px;
  background-color: $color-white;
  border: 1px solid $color-dark;
  border-radius: 4px;

  @media (min-width: 990px) {
    padding: 40px 30px;
    margin-bottom: 0;
  }

  @media (min-width: 1200px) {
    padding-left: 70px;
    padding-right: 70px;
  }

  .featured-item-icon {
    display: none;
    margin-bottom: 10px;
    font-size: 56px;

    @media (min-width: 768px) {
      display: inline-block;
    }

    @media (min-width: 1200px) {
      margin-bottom: 30px;
    }

    path {
      fill: $color-secondary;
    }
  }

  .featured-item-headline {
    margin-top: 0;
    margin-bottom: 5px;
    color: $color-primary;
  }

  .featured-item-headline-small {
    margin-top: 0;
    margin-bottom: 15px;
    color: $color-primary;
    font-size: 20px;
    font-weight: 300;

    @media (min-width: 1200px) {
      margin-bottom: 38px;
    }
  }

  .featured-item-description {
    margin-bottom: 20px;
    font-size: 17px;

    @media (min-width: 990px) {
      margin-bottom: 25px;
    }

    @media (min-width: 1200px) {
      margin-bottom: 35px;
    }
  }
}

.page-headline {
  margin-top: 0;
  margin-bottom: 25px;
  color: $color-white;
  font-size: 36px;
  font-weight: 300;
  line-height: 1;

  @media (min-width: $screen-sm-min) {
    font-size: 46px;
  }
}

.what-is {
  padding-top: 40px;
  padding-bottom: 20px;
  background-color: $color-primary-alt;
  color: $color-white;
  font-size: 16px;

  @media (min-width: 990px) {
    padding-top: 60px;
  }

  @media (min-width: 1200px) {
    padding-top: 120px;
  }

  .what-is-item-holder {
    &:not(:last-child) {
      margin-bottom: 15px;
    }

    @media (min-width: 990px) {
      margin-bottom: 0;
    }
  }

  .what-is-item {
    @media (min-width: 1200px) {
      padding-right: 40px;
    }
  }

  .what-is-item-title {
    margin-top: 0;
    margin-bottom: 20px;
    font-size: 30px;
    font-weight: 600;
  }

  .what-is-item-content {
    font-size: (16px / 16px) * 1em;

    p {
      margin-top: 0;
      margin-bottom: 10px;
    }

    p:last-child {
      margin-bottom: 0;
    }

    a {
      color: $color-white;
      text-decoration: none;
      border-bottom: 1px solid $color-white;
    }

    a:hover {
      border-bottom-color: transparent;
    }
  }
}

.what-is-item-icon {
  margin-bottom: 10px;
  font-size: (56px / 16px) * 1em;

  path {
    fill: $color-secondary-alt;
  }
}

.logos-section {
  padding-top: 40px;
  padding-bottom: 100px;
  background-color: $color-white;

  @media (min-width: 990px) {
    padding-top: 60px;
  }

  @media (min-width: 1200px) {
    padding-top: 100px;
    padding-bottom: 120px;
  }

  .logos-section-title {
    margin-top: 0;
    margin-bottom: 20px;
    color: $color-primary;
    font-size: 30px;
    font-weight: 300;

    @media (min-width: 990px) {
      margin-bottom: 40px;
      font-size: 47px;
    }
  }
}

.content-container {
  padding-top: 40px;
  padding-bottom: 40px;

  @media (min-width: 990px) {
    padding-top: 50px;
    padding-bottom: 50px;
  }

  @media (min-width: 1200px) {
    padding-top: 70px;
    padding-bottom: 70px;
  }
}

.gitlab-com-panel {
  height: 100%;

  .panel-body {
    position: relative;

    @media (min-width: $screen-md-min) {
      height: 100%;
      padding-bottom: 100px;
    }
  }

  @media (min-width: $screen-md-min) {
    .btns {
      position: absolute;
      bottom: 70px;

      b {
        display: inline-block;
        margin-bottom: 10px;
      }
    }
  }
}

.try-gitlab-ee {
  border-top: 1px solid $navbar-default-border;

  .page-headline {
    color: $color-primary;
  }

  .subheader {
    color: $color-gray;

    a {
      color: $color-gray;
      text-decoration: underline;
    }
  }
}

.explore-gitlab-products {
  border-top: 1px solid $navbar-default-border;
  background-color: $body-bg;
  padding-bottom: 100px;

  .page-headline {
    color: $color-primary;
  }
}

// scss-lint:disable SelectorFormat
.a2a_default_style {
  margin-top: 10px;
}
// scss-lint:enable SelectorFormat

.sticky-banner {
  display: none;
  position: fixed;
  bottom: 0;
  width: 100vw;
  height: 70px;
  background-color: $pricing-gray-bg;
  padding: 8px;
  box-shadow: 0 0 8px rgba($color-dark, .15);

  &.active {
    display: block;

    @media (max-width: $screen-xs-max) {
      display: none;
    }
  }

  .sticky-banner-content {
    display: flex;
    flex-flow: row wrap;
    margin: auto;
    max-width: 750px;
  }

  .sticky-banner-text {
    display: block;
    flex: auto;

    .header-text {
      color: $color-primary;
      font-size: 20px;
      margin: 0;

      a {
        color: $color-secondary;
      }
    }

    .subheader-text {
      font-size: 16px;
      color: $color-gray;

      a {
        color: $color-gray;
        text-decoration: underline;
      }
    }
  }

  .action {
    flex: 1;
    padding: 5px 0;

    .featured-item-button {
      line-height: 20px;
      padding: 10px 15px;
    }
  }
}

//scss-lint:disable SelectorFormat
.video_container {
  position: relative;
  padding-bottom: 56.25%;
  padding-top: 0;
  height: 0;

  iframe,
  video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
}
//scss-lint:enable SelectorFormat

.note {
  font-size: 16px;
  font-style: italic;
  color: $blog-color-note;
}
